curl --request POST \
--url https://api.virtuoussoftware.com/api/Event/{eventId}/Contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIndividualId": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactIndividualId: '<integer>'})
};
fetch('https://api.virtuoussoftware.com/api/Event/{eventId}/Contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/{eventId}/Contacts"
payload = { "contactIndividualId": "<integer>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/{eventId}/Contacts");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactIndividualId\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Event/{eventId}/Contacts';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactIndividualId: '<integer>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"eventContactUrl": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Create an Event Contact
Adds an individual to the event as an organizer or host. Send the contactIndividualId of the person responsible. To invite someone as a guest instead, use the Create an Event Attendee endpoint.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The event identifier.
Body
The identifier of the contact individual this record belongs to.
Response
OK
The unique identifier of the record in Virtuous.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
The identifier of the contact this record belongs to.
A link to the related contact.
The label to show for this value in a user interface.
Was this page helpful?